/* --------------------------------------------------------
 Generated by Lukman Hakim using sql2java (http://sql2java.sourceforge.net/ )
 jdbc driver used at code generation time: net.sourceforge.jtds.jdbc.Driver
 
 Author : Lukman Hakim (lukman.uki@gmail.com) 
 Date Created : 25/10/2017
 --------------------------------------------------------
*/
package com.portofolio.dto;

import javax.validation.constraints.NotNull;

import lombok.Getter;
import lombok.Setter;


@Getter
@Setter
public class SettingDataFixedDto {
	
	@NotNull(message = "settingdatafixed.namaField.notnull")
	private String namaField;
	
	@NotNull(message = "settingdatafixed.typefield.notnull")
	private String typeField;

	@NotNull(message = "settingdatafixed.nilaifield.notnull")
	private String nilaiField;

	private String tabelRelasi;

	private String fieldKeyTabelRelasi;

	private String fieldReportDisplayTabelRelasi;

	private String keteranganFungsi;

    @NotNull(message = "settingdatafixed.statusenabled.notnull")
    private Boolean statusEnabled;
    
    
}
